From 60708464a2e04cba18622a0441cf3aad732443c1 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jul 20 2016 20:49:03 +0000
Subject: [PATCH 550/1001] Let the validator return the validated value and use it when editing a widget


---

diff --git a/hubs/app.py b/hubs/app.py
index 5a1404d..c152053 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -411,7 +411,7 @@ def widget_edit_post(hub, idx):
             error = True
             break
         try:
-            arg.validator(session, val)
+            val = arg.validator(session, val)
             config[arg.name] = val
         except Exception as err:
             flask.flash('Invalid data provided, error: %s' % err, 'error')
diff --git a/hubs/validators.py b/hubs/validators.py
index bdc3c96..791f3fe 100755
--- a/hubs/validators.py
+++ b/hubs/validators.py
@@ -4,7 +4,8 @@ import hubs.models
 
 
 def required(session, value):
-    return bool(value)
+    if bool(value):
+        return value
 
 
 def text(session, value):

